Bug 709202 - Table has noticeable shading/colouring bug
Summary: Table has noticeable shading/colouring bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: foobillard
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-31 04:13 UTC by Patrick O'Callaghan
Modified: 2012-04-12 03:12 UTC (History)
1 user (show)

Fixed In Version: foobillard-3.0a-18.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-13 18:43:01 UTC
Type: ---


Attachments (Terms of Use)
Screenshot of the initial position (277.71 KB, image/png)
2011-05-31 04:13 UTC, Patrick O'Callaghan
no flags Details

Description Patrick O'Callaghan 2011-05-31 04:13:01 UTC
Created attachment 501908 [details]
Screenshot of the initial position

Description of problem:
The billiard table displayed has patches in different shades of green

Version-Release number of selected component (if applicable):


How reproducible:
Start foobillard

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Shading/colouring bug

Expected results:
Uniform colour for playing surface

Additional info:

Comment 1 Miloslav Trmač 2011-06-01 16:09:31 UTC
Thanks for you report, I see the same behavior.
don't anticipate having enough time to 
I'm afraid I probably won't have enough time to fix this in the near future; a patch would definitely be welcome.

Comment 2 Fedora Admin XMLRPC Client 2012-03-07 15:04:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Patrick O'Callaghan 2012-03-07 15:26:06 UTC
Here's hoping we'll see some movement on this bug. I miss playing Foobillard :-)

Comment 4 Gwyn Ciesla 2012-03-07 16:50:51 UTC
I'm having a look.  Does this make the game unplayable, or simply less pretty?

Comment 5 Patrick O'Callaghan 2012-03-07 17:21:23 UTC
IMHO it makes it so ugly as to be effectively unplayable, but that's an opinion. Technically it probably still works as before but I've never tried it for more than a few seconds with this bug as it's so painful.

Comment 6 Gwyn Ciesla 2012-03-07 17:40:11 UTC
Gotcha. :)

Comment 7 Fedora Update System 2012-03-08 03:10:32 UTC
foobillard-3.0a-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/foobillard-3.0a-17.fc16

Comment 8 Fedora Update System 2012-03-08 03:10:41 UTC
foobillard-3.0a-17.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/foobillard-3.0a-17.fc17

Comment 9 Fedora Update System 2012-03-08 03:10:53 UTC
foobillard-3.0a-17.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/foobillard-3.0a-17.fc15

Comment 10 Patrick O'Callaghan 2012-03-08 04:01:06 UTC
Excellent. Kudos for a fast piece of work.

However the sound appears to have gone AWOL, at least on F16. In fact the Settings menu has a Sound item but nothing inside it. Maybe I should report that as a different bug.

Comment 11 Fedora Update System 2012-03-08 05:53:41 UTC
Package foobillard-3.0a-17.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing foobillard-3.0a-17.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3376/foobillard-3.0a-17.fc17
then log in and leave karma (feedback).

Comment 12 Patrick O'Callaghan 2012-03-08 12:22:47 UTC
I've already tested foobillard-3.0a-17.fc16.x86_64.rpm which presumably is the same, see Comment 10. I'm not using F17 for the moment. Are you saying that the F17 version would fix the sound bug? In that case I'm happy to wait for F17. Otherwise, I'm afraid there's still an issue with sound but I can open a new report if you prefer.

Comment 13 Gwyn Ciesla 2012-03-08 12:59:54 UTC
Thanks.  No, that was automated.  Please file another BZ and I'll get on that.

Comment 14 Patrick O'Callaghan 2012-03-08 22:37:00 UTC
Done. https://bugzilla.redhat.com/show_bug.cgi?id=801588

Comment 15 Fedora Update System 2012-03-13 02:48:51 UTC
foobillard-3.0a-18.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/foobillard-3.0a-18.fc15

Comment 16 Fedora Update System 2012-03-13 02:49:03 UTC
foobillard-3.0a-18.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/foobillard-3.0a-18.fc16

Comment 17 Fedora Update System 2012-03-13 02:49:37 UTC
foobillard-3.0a-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/foobillard-3.0a-18.fc17

Comment 18 Fedora Update System 2012-03-13 18:43:01 UTC
foobillard-3.0a-17.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-03-31 03:06:00 UTC
foobillard-3.0a-18.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-03-31 03:23:14 UTC
foobillard-3.0a-18.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2012-04-12 03:12:35 UTC
foobillard-3.0a-18.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.